TERMKEY_GET_KEYNAME(3)

NAME
termkey_get_keyname - return a string name for a symbolic key

SYNOPSIS
#include <termkey.h>

const char *termkey_get_keyname(TermKey *tk, TermKeySym sym);

Link with -ltermkey.

DESCRIPTION
termkey_get_keyname() returns a human-readable string name for the symbolic key value given by sym. The returned string is owned by the termkey(7) instance tk so should not be modified or freed. The returned pointer is guaranteed to be valid until the instance is released using termkey_destroy(3). This function is the inverse of termkey_keyname2sym(3).

RETURN VALUE
termkey_get_key() returns a pointer to a string.

SEE ALSO
termkey_lookup_keyname(3), termkey_keyname2sym(3), termkey_strfkey(3), termkey(7)